Bug 295842 - Enable Auto-connect for accounts
Summary: Enable Auto-connect for accounts
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: accounts-kcm (show other bugs)
Version: git-latest
Platform: unspecified Linux
: NOR normal
Target Milestone: 0.4.0
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-12 14:37 UTC by Daniele E. Domenichelli
Modified: 2012-07-13 21:47 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniele E. Domenichelli 2012-03-12 14:37:31 UTC
We had a few persons requesting this and from my experience, final users don't even try to go online, but they use the chat if it goes online automatically.

Note that this mostly will break global presence unless we choose to enable/disable this globally, nonetheless personally I'd prefer for a single account approach, so what do you think?
Comment 1 Mark Fraser 2012-03-15 16:27:26 UTC
This is one of the few things that would stop me moving over from Kopete, the other being meta-contacts.
Comment 2 Daniele E. Domenichelli 2012-03-16 10:30:44 UTC
If you want to try it anyway, you can enable autoconnect from command line using mc-tool
Find the names of the accont you want to set online using
mc-tool list
then
mc-tool auto-connect <account> on
Comment 3 Mark Fraser 2012-03-17 15:59:18 UTC
(In reply to comment #2)
> If you want to try it anyway, you can enable autoconnect from command line
> using mc-tool
> Find the names of the accont you want to set online using
> mc-tool list
> then
> mc-tool auto-connect <account> on

Thanks for that Daniele, works perfectly :)
Comment 4 Daniele E. Domenichelli 2012-04-17 17:48:42 UTC
Fixed by xerdomii with commit cc65c8b9cf823a9e3011c2bc1e235618bddd3fe3
Comment 5 Johannes K. 2012-07-13 21:47:59 UTC
I experience problems with this fix.

Have a look to my new bug report 

https://bugs.kde.org/show_bug.cgi?id=303498